Subject: [Q] Why don't my lilacs have many flowers?

From: [email-masked] (Ted Swirsky)
Date: 21 Mar 1995 17:53:25 GMT

My lilacs are about four years old now and never seem to produce many
blooms.  Is there a common cause for this?  They look healthy otherwise.

I read somewhere it can be a lack of iron so I buried some steelwool in
the soil last year.  I'm waiting to see if this seems to make a difference.

I give them some plant food during the summer and think they get medium sun.

Thanks.  Ted